const api = require('../../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    ditu:'/images/photo.png',
    fengmian:'/images/photo.png'
  },
  ditu:function(res){
    let that=this
    wx.chooseImage({
      count: 1,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success(res) {
        // tempFilePath可以作为img标签的src属性显示图片
        that.data.dtFilePaths = res.tempFilePaths
        that.setData({
          ditufile: that.data.dtFilePaths
        })
      }
    })
  },
  fengmian:function(){
    let that = this
    wx.chooseImage({
      count: 1,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success(res) {
        // tempFilePath可以作为img标签的src属性显示图片
        that.data.fmFilePaths = res.tempFilePaths
        that.setData({
          fengmianfile: that.data.fmFilePaths
        })
      }
    })
  },
  submit:function(){
    let that=this
    if(that.data.dtFilePaths){
      that.upload(that.data.dtFilePaths,'false')
    }
    if(that.data.fmFilePaths){
      that.upload(that.data.fmFilePaths,true)
    }
  },
  upload: function (file, isShowPhoto){
    let that=this
    wx.uploadFile({
      url: 'http://dgt.dgtis.com/oneportal/userinfo/updateUserHeadImage.if',
      filePath: file[0],
      header: { 'content-type': 'application/x-www-form-urlencoded;charset=utf-8', },
      name: 'file',
      formData: {
        'fileType': 'image',
        'loginId': wx.getStorageSync('loginId'), 
        'isShowPhoto': isShowPhoto
      },
      success(res) {
        if (JSON.parse(res.data).youtuMessage.error_code==0){
          wx.showToast({
            title: '上传成功',
            icon:'none'
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})