// pages/user/setting/index.js
const {
  globalData: {
    util: {
      regeneratorRuntime,
      goHome,
      showTip,
      logout
    }
  }
} = getApp()
Page({

  data: {
    list: {
      title: '分享小程序',
      icon: 'fenxiang',
      url: '',
    },
  },

  logout() {
    wx.showModal({
      content: '确定退出登录？',
      success: async ({ confirm }) => {
        if (confirm){
          wx.clearStorageSync()
          wx.reLaunch({
            url: '/pages/login/login',
          })
        }
      }

    })

  },
  preview: function () {
    wx.previewImage({
      urls: ['https://mp.weixin.qq.com/wxopen/qrcode?action=download&fakeid=3827135683&token=849973044&type=0&pixsize=336&line_r=undefined&line_g=undefined&line_b=undefined'],
    })
  }
})